diff mbox

xfstests: silence btrfs balance in btrfs/003

Message ID 1376664680-16046-1-git-send-email-sbehrens@giantdisaster.de (mailing list archive)
State Not Applicable
Headers show

Commit Message

Stefan Behrens Aug. 16, 2013, 2:51 p.m. UTC
This test failed for me with output from 'btrfs balance':
     QA output created by 003
    +Done, had to relocate 4 out of 4 chunks
    +Done, had to relocate 5 out of 5 chunks
     Silence is golden

Signed-off-by: Stefan Behrens <sbehrens@giantdisaster.de>
---
 tests/btrfs/003 | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comments

Eric Sandeen Aug. 16, 2013, 2:55 p.m. UTC | #1
On 8/16/13 9:51 AM, Stefan Behrens wrote:
> This test failed for me with output from 'btrfs balance':
>      QA output created by 003
>     +Done, had to relocate 4 out of 4 chunks
>     +Done, had to relocate 5 out of 5 chunks
>      Silence is golden
> 
> Signed-off-by: Stefan Behrens <sbehrens@giantdisaster.de>
> ---
>  tests/btrfs/003 | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
> 
> diff --git a/tests/btrfs/003 b/tests/btrfs/003
> index 3790935..795badb 100755
> --- a/tests/btrfs/003
> +++ b/tests/btrfs/003
> @@ -109,7 +109,7 @@ _test_add()
>  	for i in `seq 1 $n`; do
>  		$BTRFS_UTIL_PROG device add ${devs[$i]} $SCRATCH_MNT > /dev/null 2>&1 || _fail "device add failed"
>  	done
> -	$BTRFS_UTIL_PROG filesystem balance $SCRATCH_MNT || _fail "balance failed"
> +	$BTRFS_UTIL_PROG filesystem balance $SCRATCH_MNT > /dev/null 2>&1 || _fail "balance failed"

It'd be better to redirect to $seqres.full; that way when it fails,
you'll have something to look at with more info than /dev/null contains :)

You'd need just a little prep work there to rm -f $seqres.full at the beginning
of the test so it doesn't grow forever.

-Eric

>  	umount $SCRATCH_MNT
>  }
>  
> @@ -152,7 +152,7 @@ _test_replace()
>  	# in some system balance fails if there is no delay (a bug)
>  	# putting sleep 10 to work around as of now
>  	# sleep 10
> -	$BTRFS_UTIL_PROG filesystem balance $SCRATCH_MNT || _fail "dev balance failed"
> +	$BTRFS_UTIL_PROG filesystem balance $SCRATCH_MNT > /dev/null 2>&1 || _fail "dev balance failed"
>  
>  	# cleaup. add the removed disk
>  	umount $SCRATCH_MNT
> 

--
To unsubscribe from this list: send the line "unsubscribe linux-btrfs" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
diff mbox

Patch

diff --git a/tests/btrfs/003 b/tests/btrfs/003
index 3790935..795badb 100755
--- a/tests/btrfs/003
+++ b/tests/btrfs/003
@@ -109,7 +109,7 @@  _test_add()
 	for i in `seq 1 $n`; do
 		$BTRFS_UTIL_PROG device add ${devs[$i]} $SCRATCH_MNT > /dev/null 2>&1 || _fail "device add failed"
 	done
-	$BTRFS_UTIL_PROG filesystem balance $SCRATCH_MNT || _fail "balance failed"
+	$BTRFS_UTIL_PROG filesystem balance $SCRATCH_MNT > /dev/null 2>&1 || _fail "balance failed"
 	umount $SCRATCH_MNT
 }
 
@@ -152,7 +152,7 @@  _test_replace()
 	# in some system balance fails if there is no delay (a bug)
 	# putting sleep 10 to work around as of now
 	# sleep 10
-	$BTRFS_UTIL_PROG filesystem balance $SCRATCH_MNT || _fail "dev balance failed"
+	$BTRFS_UTIL_PROG filesystem balance $SCRATCH_MNT > /dev/null 2>&1 || _fail "dev balance failed"
 
 	# cleaup. add the removed disk
 	umount $SCRATCH_MNT